This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 250844 - Mech-and-cow not a .cow file in cowsay.
Mech-and-cow not a .cow file in cowsay.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cowsay (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 17:18 EDT by Roy
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 3.03-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 03:15:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fixed mech-and-cow (941 bytes, text/plain)
2007-08-03 17:18 EDT, Roy
no flags Details

  None (edit)
Description Roy 2007-08-03 17:18:07 EDT
Description of problem:
There's a mech-and-cow ascii-art file in /usr/share/cowsay, which did not work
with cowsay. This looks to me like a severe problem that needs to be fixed right
away.

Version-Release number of selected component (if applicable):
cowsay-3.03-2.fc7

How reproducible:
for i in `ls /usr/share/cowsay/`; do echo "I am $i" | cowsay -f $i; echo; done

Steps to Reproduce:
1. Install cowsay (yum install cowsay)
2. Try above mentioned script
3. See an error appear
  
Actual results:
An error message saying mech-and-cow cannot be read... or something

Expected results:
a nice fluffy ascii-art image of a mech next to a cow

Additional info:
Attached you will find a mech-and-cow file that does work.
Comment 1 Roy 2007-08-03 17:18:07 EDT
Created attachment 160664 [details]
fixed mech-and-cow
Comment 2 Fedora Update System 2007-10-10 21:46:01 EDT
cowsay-3.03-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cowsay'
Comment 3 Fedora Update System 2007-10-24 03:15:12 EDT
cowsay-3.03-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.